Nirav Mehta Nirav Mehta - 1 month ago 21
Android Question

Eclipse does not launch (Ubuntu) : JVM terminated. Exit code=2


  1. I install ubuntu 14.04 LTS (64bit)

  2. After that Install Eclipse Luno Standard for 64bit

  3. Install Jdk and follow all the step for setting jdk using following link,

    http://www.wikihow.com/Install-Oracle-Java-JDK-on-Ubuntu-Linux

  4. Then After I enable to start my eclipse it giving me a following Error,

    VM terminated. Exit code=2

    /usr/bin/java
    -Dosgi.requiredJavaVersion=1.6
    -XX:MaxPermSize=256m
    -Xms256m
    -Xmx1024m
    -jar /home/eheuristic/Ecclipse/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20140415- 2008.jar
    -os linux
    -ws gtk
    -arch x86_64
    -showsplash /home/eheuristic/Ecclipse/eclipse//plugins/org.eclipse.platform_4.4.0.v20140925- 0400/splash.bmp
    -launcher /home/eheuristic/Ecclipse/eclipse/eclipse
    -name Eclipse
    --launcher.library /home/eheuristic/Ecclipse/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1. 200.v20140603-1326/eclipse_1605.so
    -startup /home/eheuristic/Ecclipse/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar
    --launcher.appendVmargs
    -exitdata 208017
    -product org.eclipse.epp.package.java.product
    -vm /usr/bin/java
    -vmargs
    -Dosgi.requiredJavaVersion=1.6
    -XX:MaxPermSize=256m
    -Xms256m
    -Xmx1024m
    -jar /home/eheuristic/Ecclipse/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar



I so much try to solve setting Environment variable but can't do, help me one suggest to how to solve it.

Answer

I find my Stupid Solution ,

I trying install jdk that is support for 32 bit.

I downloads new jdk1.8.0_25 for 64 bit and follow the step, i got solutions.

Comments